<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table46', function (Blueprint $table) {
            $table->id('DatasetTable46Id');
            $table->integer('dataset_id');
            $table->string('kabupaten_kota')->nullable();
            $table->string('lokasi')->nullable();
            $table->string('nama_tpa')->nullable();
            $table->string('jenis_tpa')->nullable();
            $table->float('luas_tpa')->default(0);
            $table->float('kapasitas')->default(0);
            $table->float('volume_eksisting')->default(0);
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table46s');
    }
};
